function y=STexp1(n,x)
    // version itérative naïve
    y=0;
    for k=0:n
        y=y+x^k/factorial(k);
    end
endfunction

function y=STexp2(n,x)
    // version itérative efficace
    u=1;
    y=u;
    for k=1:n
        // s contient s(k-1), u contient u(k-1)
        u=x/k*u;
        y=y+u;
    end
endfunction
